Skip to main content
GET
/
v1
/
discovery
/
connections
/
{connectionId}
Get a discovered connection
curl --request GET \
  --url https://matcher.sandbox.lerian.net/v1/discovery/connections/{connectionId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "configName": "<string>",
  "databaseType": "<string>",
  "status": "<string>",
  "schemaDiscovered": true,
  "lastSeenAt": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication (format: "Bearer {token}")

Headers

X-Request-Id
string

A unique identifier for tracing the request across services.

Path Parameters

connectionId
string
required

The unique identifier of the connection.

Response

Connection details

A discovered Fetcher database connection

id
string

Internal identifier for the connection

configName
string

Name of the Fetcher configuration that produced this connection

databaseType
string

Type of database (e.g. postgres, mysql)

status
string

Current connection status

schemaDiscovered
boolean

Whether the table schema has been discovered for this connection

lastSeenAt
string

Timestamp when this connection was last observed in Fetcher